Package uk.ac.starlink.topcat.activate

## Enum ColFlag

- java.lang.Object
- - java.lang.Enum<ColFlag>
  - - uk.ac.starlink.topcat.activate.ColFlag

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ColFlag>`

      public enum ColFlag
      extends java.lang.Enum<ColFlag>

  Used to mark columns in a TopcatModelInfo as apparently having some characteristic or other.
  Since:
    26 Mar 2018
  Author:
    Mark Taylor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATALINK` | Column (probably) contains a Datalink URL.
    `HTML` | Column (probably) contains a browser-friendly URL.
    `IMAGE` | Column (probably) contains an Image URL.
    `SPECTRUM` | Column (probably) contains a Spectrum URL.
    `STRING` | Column value type is string.
    `URL` | Column (probably) contains a URL.
    `VOTABLE` | Column (probably) contains a VOTable URL.
    `WEBREF` | Column (probably) contains a reference that can be mapped to a web page.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ColFlag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ColFlag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final ColFlag STRING

      Column value type is string.

    - #### URL

          public static final ColFlag URL

      Column (probably) contains a URL.

    - #### DATALINK

          public static final ColFlag DATALINK

      Column (probably) contains a Datalink URL.

    - #### IMAGE

          public static final ColFlag IMAGE

      Column (probably) contains an Image URL.

    - #### SPECTRUM

          public static final ColFlag SPECTRUM

      Column (probably) contains a Spectrum URL.

    - #### VOTABLE

          public static final ColFlag VOTABLE

      Column (probably) contains a VOTable URL.

    - #### HTML

          public static final ColFlag HTML

      Column (probably) contains a browser-friendly URL.

    - #### WEBREF

          public static final ColFlag WEBREF

      Column (probably) contains a reference that can be mapped to a web page. An example is a DOI or Bibcode.

  - ### Method Detail

    - #### values

          public static ColFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColFlag c : ColFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColFlag valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null